Page MenuHomePhabricator

ApiTag forces old-style boolean
Closed, ResolvedPublic

Description

The noop result in ApiTag appears to be a formatversion=1-style boolean.

I did a quick search of all other API modules in last night's nightly, and there was nothing else obvious.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 19 2016, 7:07 PM
Anomie claimed this task.Dec 20 2016, 6:52 PM
Anomie moved this task from Unsorted to Needs Review on the MediaWiki-API board.

Change 328405 had a related patch set uploaded (by Anomie):
ApiTag: Return 'noop' as a boolean in formatversion=2

https://gerrit.wikimedia.org/r/328405

@RobinHood70: thanks for filing all of these bugs btw! Can I ask how you're finding them? Are you just manually testing API end points or using a script or? I'm wondering if we can integrate it into our API testing procedures.

Unfortunately, it's nothing that would be useful to you for your testing procedures. I've been developing a C# bot framework that implements about 98% of the API. So, as I've been going through each module to determine what the inputs and results are for all of them, I've been noting the discrepancies.

I should add that the API layer is nominally complete now, give or take a couple of new modules like clientlogin that I'll tackle later on...so I'm probably finished with the ream of bug reports now. :)

Change 328405 merged by jenkins-bot:
ApiTag: Return 'noop' as a boolean in formatversion=2

https://gerrit.wikimedia.org/r/328405

Anomie closed this task as Resolved.Dec 21 2016, 3:45 PM